> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 生成歌词

> 基于主题和描述的 AI 歌词生成

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询音乐详情](https://docs.poyo.ai/zh/api-manual/music-series/query-music-detail.md)接口获取结果。

## 使用指南

* 此接口根据你的主题或描述生成歌词
* 每次请求可能生成多个歌词变体
* 在自定义模式下，将生成的歌词用于生成音乐接口

## 参数详情

* `prompt`（必填）：对期望歌词内容的描述
  * 明确说明主题、情绪、风格或故事元素
  * 最大长度：200 个单词
  * 包含曲风感觉、情感基调和叙事元素等细节


## OpenAPI

````yaml zh/api-manual/music-series/generate-lyrics.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: PoYo AI - 生成歌词 API
  description: 基于主题和描述的 AI 歌词生成
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
    description: 生产环境
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      tags:
        - Lyrics
      summary: 提交生成歌词任务
      description: 根据主题或描述生成歌词
      operationId: submitGenerateLyricsTask
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              nostalgic-song:
                summary: 怀旧童年歌曲
                value:
                  model: generate-lyrics
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A nostalgic song about childhood memories and growing up
                      in a small town
              love-song:
                summary: 浪漫情歌
                value:
                  model: generate-lyrics
                  callback_url: https://your-domain.com/callback
                  input:
                    prompt: >-
                      A romantic ballad about finding love unexpectedly in the
                      city
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '413':
          description: 提示词超出长度限制
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: 413
                error:
                  message: Prompt exceeds maximum length of 200 words
                  type: payload_too_large
components:
  schemas:
    SubmitRequest:
      type: object
      required:
        - model
        - callback_url
        - input
      properties:
        model:
          type: string
          description: |-
            API 模型标识符。

            此接口必须为 `generate-lyrics`。
          enum:
            - generate-lyrics
          example: generate-lyrics
        callback_url:
          type: string
          format: uri
          description: |-
            用于结果通知的 Webhook 回调 URL。

            生成完成后，该地址会收到 POST 请求，包含结果和各个变体。
          example: https://your-domain.com/callback
        input:
          type: object
          required:
            - prompt
          description: 歌词生成的输入参数
          properties:
            prompt:
              type: string
              description: |-
                期望歌词内容的描述。

                尽量具体说明主题、情绪、风格或故事元素。

                最多 200 个单词。
              maxLength: 1500
              example: >-
                A nostalgic song about childhood memories and growing up in a
                small town
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1757165031-uyujaw3d
              description: 任务唯一标识，用于查询任务状态
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2025-11-12T10:30:00'
              description: 任务创建时间，ISO 8601 格式
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
              description: 描述错误原因的错误信息
            type:
              type: string
              example: invalid_request_error
              description: 错误类型标识
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.